Subject: Re: bug#50058: 28.0.5; emacs build fails with undefined reference to malloc_info

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 15 Aug 2021 14:49:54 +0200

[email-masked] writes:

> I've now tested it with these commands and the build still fails.
>
> first case:
>
> git pull origin
> git checkout testing
> git reset --hard HEAD
> git pull         # pulls from local master
> make 2&> ../make-emacs-aug-15-head
>
> This one fails with some segmentation fault.
>
> Loading subr (compiled; note, source file is newer)...

It's finding old .elc files, so this is not a clean tree.  Try saying
"make bootstrap" and see what happens then.

> seeing some warnings about newer source files being newer, i did
> a make bootstrap (because make clean produced same errors) and it now
> fails with different errors. this one seems to be even more weird.

Oh, you did.  :-)  I should read the entire thing before starting to
answer...

> In toplevel form:
> cedet/semantic/wisent/java-tags-wy.el:58:17: Error: Bad input grammar

That's even weirder, because that a bug that was fixed a long time ago.

I don't know what's going on in your tree, but just as a sanity check:
Can you try to just do

git clone git://git.savannah.gnu.org/emacs.git
cd emacs
make

and see what happens?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no